program Pick2Panel
  use sep
  implicit none

  integer:: nt,n1,n2,n3,i1,i2,i3,it,t2,t1,f
  real::o1,ot,d1,dt,t,m,m2,o2,d2,fx,ft,bt,st,tt,st1
  real,allocatable,dimension(:,:):: data,panel
  real,allocatable,dimension(:):: time
  logical::check,muterite,panelrite
  call sep_init()
  call from_history("n1",n1)
  call from_history("d1",d1)
  call from_history("o1",o1)

  call from_param("ot",ot,0.)
  call from_param("nt",nt,1024)
  call from_param("dt",dt,0.004)
  call to_history('o1',ot)
  call to_history('n1',nt)
  call to_history('d1',dt)
  call to_history('esize',4)
  call to_history('o2',o1)
  call to_history('n2',n1)
  call to_history('d2',d1)
  allocate(panel(nt,n1),time(n1)); panel=0.;time=0.
  call sep_read(time)

  do i2=1,n1
     it=1.5+ (time(i2)-ot)/dt
     panel(it,i2)=1.

  end do


  call sep_write(panel)
end program Pick2Panel
